<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, 	initial-scale=1">
		<title>HTML Attributes and Links</title>
	</head>
	<body>
		<!-- HTML Attributes changes the default behavior of HTML elements -->
		<!-- id attribute assigns a unique named identifier to an element -->
		<h2 id="top">HTML Attributes</h2>
		<!-- Align attribute - Changes the alignment of paragraph element -->
		<p align="center"><em>Modifiers of elements behaviors.</em></p>

		<h2>HTML Images</h2>

		<!-- HTML Entities - There are special characters used into HTML elements to show HTML reserved characters -->
		<p>
			<em>
				An image can be shown using &lt;img&gt; tag along with its <strong>src attribute</strong>
			</em>
		</p>

		<!-- src attribute - accepts a url/link -->
		<!-- using absolute link -->
		<a href="https://place-puppy.com/"><img src="https://place-puppy.com/300x300"></a>


		<p>
			<!-- code tag used to make "<" & ">" visible" -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>

		</p>

		<!-- Using Relative Link
		- Target attribute defines where there link will be opened.
		-"_blank" value will open the link in a new tab -->
			<a href="https://zuitt.co/" target="_blank">
				<img src="./images/Zuitt.png"></a>
		

		<p>
			<code>
				&lt;img src="./images/Zuitt.png"&gt;
			</code>
		<p>Valid image extensions are the following:</p>

		<!-- Other types can use for ol are
		= 1
		=A or a
		=I or i
		Reversed attributes reverses the bullet points but not the contents -->
		<ol type="a" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>giff</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a></p>


		<h2>HTML Links</h2>
		<h4>Abosulte Link</h4>

		<!-- 
			- <a> tag is used to create a link to different page/section.
			-href attribute means "hypertext reference" -->
		<a href="https://zuitt.co/"> I'm a hyperlink </a>

		<h4>Relative Link</h4>

		<p>Go to <a href="./link.html"> link.html</a> page.</p>


		<!-- this is an example of relative hyperlink within page-->
		<p>Go to <a href="#top">top</a></p>
 
	</body>
</html>